-- Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
-- THIS FILE IS FOR UPGRADE PURPOSES ONLY
-- Please do not add any data here
CREATE TABLE IF NOT EXISTS exp_event (
	id 		BIGINT(10) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
	source		ENUM('pa', 'plesk'),	-- Event producer

	event_type	ENUM(
				'started', 'stopped',
				'created', 'updated', 'deleted', 'status_changed',
				'terminated', 'flushed',
				'installed', 'uninstalled',
				'siteapp_added', 'siteapp_removed',
				'expired', 'exceeded', 'guid_changed'
			) NOT NULL,		-- Type of event occurred
	event_time	DATETIME NOT NULL,	-- Time of event occurred

	obj_class	ENUM(
				-- Server-related objects
				'license', 'service', 'ip_address',
				'admin_info', 'siteapp', 'session_preferences',
		                'plesk_component',
				-- Clients-related objects
				'client', 'client_limits', 'client_status',
				'client_prefs', 'client_perms',
				'client_ip_pool',
				'client_limit_traffic', 'client_limit_size',
				-- Resellers-related objects
				'reseller', 'reseller_limits', 'reseller_status',
				'reseller_prefs', 'reseller_perms',
				'reseller_ip_pool',
				'reseller_limit_traffic', 'reseller_limit_size',
				-- Domains-related objects
				'domain', 'domain_limits', 'domain_user',
				'domain_alias',
				'domain_limit_traffic',  'domain_limit_size',
				'domain_status', 'phosting', 'fhosting',
				'db_server', 'domain_alias',
				'subdomain', 'mailname', 'webuser',
				'maillist', 'dns_zone',
				'mailname_antivirus',
				'mailname_spamfilter',
				'mailname_mailgroup',
				'mailname_autoresponder',
				'mailname_attachment',
				'db', 'db_user',
				-- dashboard preset
				'dashboard_preset',
				'dashboard_preset_type',
				'dashboard_preset_name',
				-- templates
				 'template_domain', 'template_client', 'template_admin', 'template_reseller'
			) NOT NULL,		-- Evented object class
	obj_id		VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,	-- Evented object unique ID
	host		VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
	`user`		VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	flushed		ENUM('true', 'false') NOT NULL DEFAULT 'false'
);

CREATE TABLE IF NOT EXISTS secret_keys (
	key_id		VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	ip_address	VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
	description	VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
	index(key_id)    
);
