-- Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
-- THIS FILE IS FOR UPGRADE PURPOSES ONLY
-- Please do not add any data here
USE psa;

CREATE TABLE IF NOT EXISTS BackupsScheduled (
	id		INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	obj_id		INT UNSIGNED NOT NULL
,	obj_type	ENUM('server', 'reseller', 'client', 'domain') NOT NULL
,	repository	ENUM('local', 'ftp') NOT NULL default 'local'
,	last		DATETIME DEFAULT NULL
,	period		INT UNSIGNED NOT NULL
,	active		ENUM('true', 'false') NOT NULL
,	processed	ENUM('true', 'false') NOT NULL
,	rotation	INT NOT NULL default 0
,	prefix		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
,	email		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
, 	split_size	INT UNSIGNED NOT NULL DEFAULT '0'
,	suspend		ENUM('true', 'false') NOT NULL default 'false'
,	with_content    ENUM('true', 'false') NOT NULL default 'true'
,	backup_day  INT UNSIGNED NOT NULL default '0'
,	backup_time TIME NOT NULL default '00:00:00'
,	content_type ENUM('backup_content_all_at_domain', 'backup_content_vhost_only', 'backup_content_mail_only') DEFAULT 'backup_content_all_at_domain'
) ENGINE=InnoDB;

CREATE TABLE IF NOT EXISTS BackupsSettings (
	id int unsigned default NULL,
  	type enum('domain','client','server') NOT NULL default 'domain',
  	param varchar(255) NOT NULL default '',
  	value varchar(255) character set utf8 default NULL,
  	UNIQUE KEY `index1` (`id`,`type`,`param`)
) ENGINE=InnoDB;

-- suspend_handler history table
CREATE TABLE IF NOT EXISTS suspend_handler_history (
    dom_id     INT UNSIGNED NOT NULL
               -- domain ID
,   session_id VARCHAR(255) CHARACTER SET binary
               -- dump name
) ENGINE=InnoDB;
