-- Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
-- get rid of TTS subsystem
DROP TABLE IF EXISTS `tts_cats`;
DROP TABLE IF EXISTS `tts_conf`;
DROP TABLE IF EXISTS `tts_priorities`;
DROP TABLE IF EXISTS `tts_queues`;
DROP TABLE IF EXISTS `tts_reporters`;
DROP TABLE IF EXISTS `tts_slave_info`;
DROP TABLE IF EXISTS `tts_ticket_events`;
DROP TABLE IF EXISTS `tts_tickets`;

-- legacy lists parameters
DROP TABLE IF EXISTS `ListsParams`;

-- legacy login lockouts
DROP TABLE IF EXISTS `lockout`;
DELETE FROM `misc` WHERE `param` = "lock_attempts";
DELETE FROM `misc` WHERE `param` = "lock_interval";
DELETE FROM `misc` WHERE `param` = "lock_time";

-- legacy enterprise fauture tables
DROP TABLE IF EXISTS `slaves`;
DROP TABLE IF EXISTS `slave_params`;

-- external webmails
CREATE TABLE IF NOT EXISTS externalWebmails (
	`id` INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	`name` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
	`url` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
	`enabled` int(10),
	UNIQUE (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- custom subscriptions support

CREATE TABLE IF NOT EXISTS SubscriptionProperties (
    subscription_id            INT UNSIGNED NOT NULL
,   name                       VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,   value                      VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	PRIMARY KEY (subscription_id, name)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS PlanItems (
    id                       INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,   classname                VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,   name                     VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,   isVisible                INT UNSIGNED DEFAULT 1
,   applicableToSubscription INT UNSIGNED DEFAULT 0
,   applicableToEmail        INT UNSIGNED DEFAULT 0
,   applicableToSite         INT UNSIGNED DEFAULT 0
,	uuid                     VARCHAR(36) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,   UNIQUE (name)
,   UNIQUE (uuid)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS PlanItemProperties (
    plan_item_id            INT UNSIGNED NOT NULL
,   name                    VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,   value                   VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	PRIMARY KEY (plan_item_id, name)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- APS Bundle filters
CREATE TABLE IF NOT EXISTS smb_apsBundleFilters (
	`id` INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	`type` enum('white', 'black') NOT NULL default 'black'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS smb_apsBundleFilterItems (
	`id` INT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
	`filterId` INT UNSIGNED NOT NULL,
	`propertyName` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
	`propertyValue` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
	INDEX (filterId)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- crontab shell compatibility mode
REPLACE INTO misc (param, val) VALUES('crontab_secure_shell_compatibility_mode', 'true');
