-- Restricted domains
CREATE TABLE IF NOT EXISTS RestrictedDomains (
	id						INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	name					VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,							UNIQUE (name)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Rules for access to database remotely
CREATE TABLE IF NOT EXISTS DatabaseUserRemoteAccessRules (
	id						INT UNSIGNED NOT NULL AUTO_INCREMENT
,	ipAddress				VARCHAR(39) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	mask					VARCHAR(15) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
,	type					ENUM('allow','deny') NOT NULL
,	databaseUserId			INT UNSIGNED NOT NULL
,	firewallRuleId			INT UNSIGNED
,							PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Predefined domains list for restrict creation of domains
-- From http://en.wikipedia.org/wiki/List_of_most_popular_websites
REPLACE INTO RestrictedDomains (name) VALUES ('facebook.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com');
REPLACE INTO RestrictedDomains (name) VALUES ('youtube.com');
REPLACE INTO RestrictedDomains (name) VALUES ('yahoo.com');
REPLACE INTO RestrictedDomains (name) VALUES ('baidu.com');
REPLACE INTO RestrictedDomains (name) VALUES ('wikipedia.org');
REPLACE INTO RestrictedDomains (name) VALUES ('live.com');
REPLACE INTO RestrictedDomains (name) VALUES ('amazon.com');
REPLACE INTO RestrictedDomains (name) VALUES ('qq.com');
REPLACE INTO RestrictedDomains (name) VALUES ('twitter.com');
REPLACE INTO RestrictedDomains (name) VALUES ('taobao.com');
REPLACE INTO RestrictedDomains (name) VALUES ('blogspot.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.co.in');
REPLACE INTO RestrictedDomains (name) VALUES ('linkedin.com');
REPLACE INTO RestrictedDomains (name) VALUES ('yahoo.co.jp');
REPLACE INTO RestrictedDomains (name) VALUES ('sina.com.cn');
REPLACE INTO RestrictedDomains (name) VALUES ('msn.com');
REPLACE INTO RestrictedDomains (name) VALUES ('yandex.ru');
REPLACE INTO RestrictedDomains (name) VALUES ('ebay.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.co.jp');
REPLACE INTO RestrictedDomains (name) VALUES ('google.de');
REPLACE INTO RestrictedDomains (name) VALUES ('wordpress.com');
REPLACE INTO RestrictedDomains (name) VALUES ('bing.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com.hk');
REPLACE INTO RestrictedDomains (name) VALUES ('vk.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.co.uk');
REPLACE INTO RestrictedDomains (name) VALUES ('google.fr');
REPLACE INTO RestrictedDomains (name) VALUES ('babylon.com');
REPLACE INTO RestrictedDomains (name) VALUES ('163.com');
REPLACE INTO RestrictedDomains (name) VALUES ('weibo.com');
REPLACE INTO RestrictedDomains (name) VALUES ('microsoft.com');
REPLACE INTO RestrictedDomains (name) VALUES ('tumblr.com');
REPLACE INTO RestrictedDomains (name) VALUES ('googleusercontent.com');
REPLACE INTO RestrictedDomains (name) VALUES ('mail.ru');
REPLACE INTO RestrictedDomains (name) VALUES ('pinterest.com');
REPLACE INTO RestrictedDomains (name) VALUES ('apple.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com.br');
REPLACE INTO RestrictedDomains (name) VALUES ('soso.com');
REPLACE INTO RestrictedDomains (name) VALUES ('paypal.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.ru');
REPLACE INTO RestrictedDomains (name) VALUES ('google.es');
REPLACE INTO RestrictedDomains (name) VALUES ('google.it');
REPLACE INTO RestrictedDomains (name) VALUES ('xhamster.com');
REPLACE INTO RestrictedDomains (name) VALUES ('tmall.com');
REPLACE INTO RestrictedDomains (name) VALUES ('fc2.com');
REPLACE INTO RestrictedDomains (name) VALUES ('blogger.com');
REPLACE INTO RestrictedDomains (name) VALUES ('imdb.com');
REPLACE INTO RestrictedDomains (name) VALUES ('craigslist.org');
REPLACE INTO RestrictedDomains (name) VALUES ('xvideos.com');
REPLACE INTO RestrictedDomains (name) VALUES ('ask.com');
REPLACE INTO RestrictedDomains (name) VALUES ('sohu.com');
REPLACE INTO RestrictedDomains (name) VALUES ('hao123.com');
REPLACE INTO RestrictedDomains (name) VALUES ('conduit.com');
REPLACE INTO RestrictedDomains (name) VALUES ('bbc.co.uk');
REPLACE INTO RestrictedDomains (name) VALUES ('go.com');
REPLACE INTO RestrictedDomains (name) VALUES ('amazon.co.jp');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com.mx');
REPLACE INTO RestrictedDomains (name) VALUES ('odnoklassniki.ru');
REPLACE INTO RestrictedDomains (name) VALUES ('google.ca');
REPLACE INTO RestrictedDomains (name) VALUES ('youku.com');
REPLACE INTO RestrictedDomains (name) VALUES ('livejasmin.com');
REPLACE INTO RestrictedDomains (name) VALUES ('amazon.de');
REPLACE INTO RestrictedDomains (name) VALUES ('adobe.com');
REPLACE INTO RestrictedDomains (name) VALUES ('flickr.com');
REPLACE INTO RestrictedDomains (name) VALUES ('avg.com');
REPLACE INTO RestrictedDomains (name) VALUES ('ifeng.com');
REPLACE INTO RestrictedDomains (name) VALUES ('t.co');
REPLACE INTO RestrictedDomains (name) VALUES ('pornhub.com');
REPLACE INTO RestrictedDomains (name) VALUES ('aol.com');
REPLACE INTO RestrictedDomains (name) VALUES ('rakuten.co.jp');
REPLACE INTO RestrictedDomains (name) VALUES ('cnn.com');
REPLACE INTO RestrictedDomains (name) VALUES ('thepiratebay.sx');
REPLACE INTO RestrictedDomains (name) VALUES ('mywebsearch.com');
REPLACE INTO RestrictedDomains (name) VALUES ('ebay.de');
REPLACE INTO RestrictedDomains (name) VALUES ('amazon.co.uk');
REPLACE INTO RestrictedDomains (name) VALUES ('adf.ly');
REPLACE INTO RestrictedDomains (name) VALUES ('alibaba.com');
REPLACE INTO RestrictedDomains (name) VALUES ('espn.go.com');
REPLACE INTO RestrictedDomains (name) VALUES ('blogspot.in');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com.tr');
REPLACE INTO RestrictedDomains (name) VALUES ('redtube.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.co.id');
REPLACE INTO RestrictedDomains (name) VALUES ('instagram.com');
REPLACE INTO RestrictedDomains (name) VALUES ('huffingtonpost.com');
REPLACE INTO RestrictedDomains (name) VALUES ('alipay.com');
REPLACE INTO RestrictedDomains (name) VALUES ('about.com');
REPLACE INTO RestrictedDomains (name) VALUES ('stackoverflow.com');
REPLACE INTO RestrictedDomains (name) VALUES ('sogou.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.com.au');
REPLACE INTO RestrictedDomains (name) VALUES ('livedoor.com');
REPLACE INTO RestrictedDomains (name) VALUES ('360buy.com');
REPLACE INTO RestrictedDomains (name) VALUES ('ebay.co.uk');
REPLACE INTO RestrictedDomains (name) VALUES ('netflix.com');
REPLACE INTO RestrictedDomains (name) VALUES ('dailymotion.com');
REPLACE INTO RestrictedDomains (name) VALUES ('imgur.com');
REPLACE INTO RestrictedDomains (name) VALUES ('zedo.com');
REPLACE INTO RestrictedDomains (name) VALUES ('google.pl');
REPLACE INTO RestrictedDomains (name) VALUES ('uol.com.br');
REPLACE INTO RestrictedDomains (name) VALUES ('360.cn');
