--  -- SubscriptionOutgoingMessagesStats table

CREATE TABLE IF NOT EXISTS SubscriptionOutgoingMessagesStats (
  `subscriptionId`          INT UNSIGNED NOT NULL,
  `collectDate`             DATETIME NOT NULL,
  `limitValue`              INT NOT NULL DEFAULT -1,
  `passed`                  INT NOT NULL DEFAULT 0,
  `rejected`                INT NOT NULL DEFAULT 0,
                            PRIMARY KEY(`subscriptionId`, `collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--  -- DomainOutgoingMessagesStats table

CREATE TABLE IF NOT EXISTS DomainOutgoingMessagesStats (
  `domainId`                INT UNSIGNED NOT NULL,
  `collectDate`             DATETIME NOT NULL,
  `limitValue`              INT NOT NULL DEFAULT -1,
  `passed`                  INT NOT NULL DEFAULT 0,
  `rejected`                INT NOT NULL DEFAULT 0,
                            PRIMARY KEY(`domainId`, `collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--  -- MailnameOutgoingMessagesStat table

CREATE TABLE IF NOT EXISTS MailOutgoingMessagesStats (
  `mailId`                  INT UNSIGNED NOT NULL,
  `collectDate`             DATETIME NOT NULL,
  `limitValue`              INT NOT NULL DEFAULT -1,
  `passed`                  INT NOT NULL DEFAULT 0,
  `rejected`                INT NOT NULL DEFAULT 0,
                            PRIMARY KEY(`mailId`, `collectDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--  -- SubscriptionOutgoingMessagesPeaks table

CREATE TABLE IF NOT EXISTS SubscriptionOutgoingMessagesPeaks (
  `subscriptionId`          INT UNSIGNED NOT NULL,
  `beginDate`               DATETIME NOT NULL,
  `endDate`                 DATETIME,
  `rejected`                INT NOT NULL DEFAULT 0,
  PRIMARY KEY(`subscriptionId`, `beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--  -- DomainOutgoingMessagesPeaks table

CREATE TABLE IF NOT EXISTS DomainOutgoingMessagesPeaks (
  `domainId`                INT UNSIGNED NOT NULL,
  `beginDate`               DATETIME NOT NULL,
  `endDate`                 DATETIME,
  `rejected`                INT NOT NULL DEFAULT 0,
  PRIMARY KEY(`domainId`, `beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--  -- MailnameOutgoingMessagesPeaks table

CREATE TABLE IF NOT EXISTS MailOutgoingMessagesPeaks (
  `mailId`                  INT UNSIGNED NOT NULL,
  `beginDate`               DATETIME NOT NULL,
  `endDate`                 DATETIME,
  `rejected`                INT NOT NULL DEFAULT 0,
  PRIMARY KEY(`mailId`, `beginDate`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;