<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration001 extends SmbMigrationStep
{

    private $_table = 'smb_users';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'login' => array('unique' => true) + $this->_fieldString,
                'password' => $this->_fieldString,
                'contactName' => $this->_fieldString,
                'email' => $this->_fieldString,
                'companyName' => $this->_fieldString,
                'phone' => $this->_fieldString,
                'fax' => $this->_fieldString,
                'address' => $this->_fieldText,
                'city' => $this->_fieldString,
                'state' => $this->_fieldString,
                'zip' => $this->_fieldString,
                'country' => $this->_fieldString,
                'creationDate' => $this->_fieldDate,
                'isBuiltIn' => array('default' => 0) + $this->_fieldBoolean,
                'roleId' => $this->_fieldReference,
                'uuid' => $this->_fieldUuid,
                'isLocked' => array('default' => 0) + $this->_fieldBoolean,
                'authCookie' => $this->_fieldString,
                'sessionId' => $this->_fieldString,
                'externalId' => $this->_fieldString,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postup()
    {
        $this->_insert($this->_table, array(
            'id' => 1,
            'login' => 'admin',
            'password' => '',
            'contactName' => 'admin',
            'email' => '',
            'companyName' => '',
            'phone' => '',
            'fax' => '',
            'address' => '',
            'city' => '',
            'state' => '',
            'zip' => '',
            'country' => '',
            'creationDate' => self::_timestampToDbString(),
            'isBuiltIn' => 1,
            'roleId' => 1,
            'uuid' => self::_getUuid(),
            'isLocked' => 0,
            'authCookie' => '',
            'sessionId' => '',
            'externalId' => '',
        ));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}