<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
class Migration035 extends SmbMigrationStep
{

    private $_table = 'smb_settings';

    public function up()
    {
        $this->createTable(
            $this->_table,
            array(
                'id' => $this->_fieldPrimaryKey,
                'name' => array('unique' => true) + $this->_fieldString,
                'value' => $this->_fieldText,
            ),
            $this->_tableDefaultOptions
        );
    }

    public function postup()
    {
        $this->_insert($this->_table, array(1, 'name' => 'locale', 'value' => 'en-US'));
        $this->_insert($this->_table, array(3, 'name' => 'product-logo', 'value' => ''));
        $this->_insert($this->_table, array(4, 'name' => 'product-logo-url', 'value' => 'http://www.parallels.com'));
        $this->_insert($this->_table, array(5, 'name' => 'mailNonExistPolicy', 'value' => 'discard'));
        $this->_insert($this->_table, array(6, 'name' => 'mailBounceMessage', 'value' => 'This address no longer accepts mail.'));
        $this->_insert($this->_table, array(7, 'name' => 'mailForwardAddress', 'value' => ''));
        $this->_insert($this->_table, array(8, 'name' => 'mailRedirectIp', 'value' => ''));
        $this->_insert($this->_table, array(9, 'name' => 'mailMaxLetterSize', 'value' => '10000'));
        $this->_insert($this->_table, array(10, 'name' => 'mailCheckForViruses', 'value' => 'false'));
        $this->_insert($this->_table, array(11, 'name' => 'mailWebmail', 'value' => ''));

        $this->_insert($this->_table, array(14, 'name' => 'fsDomain', 'value' => ''));
        $this->_insert($this->_table, array(15, 'name' => 'fsPrefix', 'value' => 'files'));
        $this->_insert($this->_table, array(16, 'name' => 'fsLinksAsHttps', 'value' => 'false'));

        $this->_insert($this->_table, array(17, 'name' => 'fsPublicFolderEnabled', 'value' => 'true'));
        $this->_insert($this->_table, array(18, 'name' => 'fsPublicFolder', 'value' => 'public'));
        $this->_insert($this->_table, array(19, 'name' => 'fsPublicUrl', 'value' => 'public-docs'));

        $this->_insert($this->_table, array(20, 'name' => 'fsPartnerFolderEnabled', 'value' => 'true'));
        $this->_insert($this->_table, array(21, 'name' => 'fsPartnerFolder', 'value' => 'protected'));
        $this->_insert($this->_table, array(22, 'name' => 'fsPartnersLogin', 'value' => 'protected'));
        $this->_insert($this->_table, array(23, 'name' => 'fsPartnersPassword', 'value' => ''));

        $this->_insert($this->_table, array(24, 'name' => 'automaticUpdates', 'value' => 'true'));

        $this->_insert($this->_table, array(25, 'name' => 'spamAction', 'value' => 'move'));
        $this->_insert($this->_table, array(26, 'name' => 'spamActionText', 'value' => '***SPAM***'));
    }

    public function down()
    {
        $this->dropTable($this->_table);
    }
}
