<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Relation between SMB roles and Plesk clients
 *
 */
class Migration037 extends SmbMigrationStep
{

    private $_table = 'smb_roles';

    public function up()
    {
        $this->addColumn($this->_table, 'ownerId', 'integer', $this->_fieldInteger);

        // remove unique index on name column, 'cause roles can have the same names between owners
        Doctrine_Manager::connection()->setAttribute(Doctrine::ATTR_IDXNAME_FORMAT, '%s');
        $this->removeIndex($this->_table, 'name');
    }

    public function down()
    {
        $this->removeColumn($this->_table, 'ownerId');

        Doctrine_Manager::connection()->setAttribute(Doctrine::ATTR_IDXNAME_FORMAT, '%s');
        $this->createConstraint($this->_table, 'name', array(
            'fields' => array('name' => array()),
            'unique' => true
        ));
    }

}
