<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
/**
 * Database migration (based on Doctrine)
 *
 * @package Smb_Migration
 */
class SmbMigration extends Doctrine_Migration
{

    /**
     * Perform migration
     *
     * @param int $to
     * @return int
     */
    public function migrate($to = null)
    {
        $from = $this->getCurrentVersion();

        // If nothing specified then lets assume we are migrating from the current version to the latest version
        if ($to === null) {
            $to = $this->getLatestVersion();
        }

        if ($from == $to) {
            return $to; // up-to-date
        }

        $direction = $from > $to ? 'down':'up';

        if ($direction === 'up') {
            for ($i = $from + 1; $i <= $to; $i++) {
                $this->doMigrateStep($direction, $i);
                $this->setCurrentVersion($i);
            }
        } else {
            for ($i = $from; $i > $to; $i--) {
                $this->doMigrateStep($direction, $i);
                $this->setCurrentVersion($i-1);
            }
        }

        return $to;
    }

}